using System;
using System.Net;
using System.Threading.Tasks;

namespace Smdn.Applications.SimpleMailer {
  public abstract class AccountBase {
    public string Name {
      get; private set;
    }

    public Uri ServerUri {
      get; private set;
    }

    public abstract bool IsReady {
      get;
    }

    protected AccountBase(string name, Uri serverUri)
    {
      this.Name = name;
      this.ServerUri = serverUri;
    }

    public abstract Task EnsureConnected();
  }
}
